Get LocationsAsk AIget https://api.proshipping.net/v4/shippingLocationsRetrieves a list of all shipping locations set up on the system under your customer account.Query ParamssearchTermstringA string representing the term or keywords used to filter location results. For example, a search term like "Manchester" would return locations associated with that city, helping to narrow down the list based on the user input.pageSizeint321 to 2147483647Defaults to 100An integer that defines the number of location entries (record) returned per page in the response. For instance, if pageSize is set to 20, the API will return up to 20 locations in each response. Note: By default, this value is set to 100.pageNumberint321 to 2147483647Defaults to 1An integer indicating the specific page of results to retrieve, allowing for pagination of larger datasets. For example, if pageNumber is set to 3, the API will return the results corresponding to the third page of locations based on the specified pageSize. Note: By default, this value is set to 1.sortBystringenumA string specifying the field by which to organise the search results. For instance, "Name" could be used to sort locations alphabetically, arranging the results in a more user-friendly order. Note: By default, this value is set to Name.NameAllowed:NamesortDirstringenumA string indicating the direction in which to sort the results, typically set to "ascending" or "descending." For example, setting sortDir to "Ascending" while using "Name" as sortBy would arrange the locations from A to Z. Note: By default, this value is set to Ascending. Enum [ Ascending, Descending]AscendingDescendingAllowed:AscendingDescendingResponses 200Returns a paged list of shipping locations. 400Invalid request response. 401Unauthorized 403Forbidden 500Internal Server ErrorUpdated 3 months ago